.full-blog-page {
    max-width: 1660px;
    width: 95%;
    display: flex;
    gap: 20px;
    margin-top: 73px;
    min-height: 100vh;
    padding-bottom: 20px;
    overflow: hidden;
}

.blog-page-left {
    display: flex;
    flex-direction: column;
    gap: 30px;
    flex-grow: 1;
    border: 1px solid rgba(0, 0, 0, 0.247);
    padding: 10px 20px;
    border-radius: 10px;
}

.dark .blog-page-left {
    border-color: rgba(255, 255, 255, 0.336);
}

.blog-action-buttons {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.dark .blog-action-buttons h1{
    color: white;
}

.blog-category-selector {
    display: flex;
    gap: 10px;
}

.select-wrapper select {
    min-width: 300px;
    padding: 5px 10px;
    border: 1px solid rgba(0, 0, 0, 0.247);

}

.dark .select-wrapper select {
    border-color: rgba(255, 255, 255, 0.336);
    background-color: transparent;
    color: white;
}
.dark .select-wrapper select option {
    color: black;
}

.all-blog-wrapper {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.blog-card {
    display: flex;
    gap: 20px;
}

.blog-img {
    width: 200px;
    aspect-ratio: 16 / 9;
}

.blog-img img {
    width: 100%;
}

.blog-content{
    margin: auto 0;
}

.dark .blog-content{
    color: white;
}

.blog-page-right {
    width: fit-content;
    display: flex;
    flex-direction: column;
    gap: 30px;
    padding: 20px 10px;
    width: 300px;
    border: 1px solid rgba(0, 0, 0, 0.247);
    height: fit-content;
    border-radius: 10px;
}

.dark .blog-page-right{
    border-color: rgba(255, 255, 255, 0.336);
}

.blog-cat,
.blog-sub-cat {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.blog-search-bar input {
    padding: 5px;
    border: 1px solid rgba(0, 0, 0, 0.247);
    width: 100%;
}

.blog-search-bar input:focus{
    outline: none;
}

.dark .blog-search-bar input {
    background-color: transparent;
    color: white;
    border: 1px solid rgba(255, 255, 255, 0.247);
}

.blog-cat ul,
.blog-sub-cat ul {
    list-style-type: none;
}

.dark .blog-cat h4,
.dark .blog-sub-cat h4,
.dark .blog-cat ul li a,
.dark .blog-sub-cat ul li a {
    color: white;
}


@media screen and (max-width: 910px) {
    .full-blog-page {
        flex-direction: column;
    }

    .full-blog-page * {
        width: 100%;
    }
}

@media screen and (max-width: 768px) {
    .blog-card {
        flex-direction: column;
    }

    .blog-card * {
        width: 100%;
    }

    .blog-category-selector{
        flex-direction: column;
    }
}